# Get All Organization Groups with Role Definitions

Returns a list of all groups within an organization with their role definitions

Endpoint: GET /api/v3.0/orgs/{orgUuid}/groups/roleDefinitions
Version: 3.0
Security: bearer-key

## Query parameters:

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

## Path parameters:

  - `orgUuid` (string, required)
    org UUID (from the Mend App: Administration General > Organization UUID).

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.name` (string)
    Example: "Group A"

  - `response.description` (string)
    Example: "Group description"

  - `response.users` (integer)
    The amount of users in that group
    Example: 22

  - `response.affectedApplications` (integer)
    Example: 5

  - `response.roleDefinitions` (array)

  - `response.roleDefinitions.scopeUuid` (string)

  - `response.roleDefinitions.scopeName` (string)

  - `response.roleDefinitions.scopeType` (string)
    Enum: "organization", "application", "project", "account", "unsupported"

  - `response.roleDefinitions.roleDefinitions` (array)

  - `response.roleDefinitions.roleDefinitions.uuid` (string)

  - `response.roleDefinitions.roleDefinitions.name` (string)

  - `response.roleDefinitions.roleDefinitions.description` (string)

  - `response.roleDefinitions.roleDefinitions.type` (string)

  - `response.roleDefinitions.roleDefinitions.scopeType` (string)
    Enum: "organization", "application", "project", "account", "unsupported"

  - `response.roleDefinitions.roleDefinitions.createdBy` (string)

  - `response.roleDefinitions.roleDefinitions.createdAt` (string)

  - `response.roleDefinitions.roleDefinitions.updatedAt` (string)

  - `response.roleDefinitions.roleDefinitions.originalRole` (string)

  - `response.roleDefinitions.roleDefinitions.capabilities` (array)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


